<?php

namespace Drupal\private_message_windows\Ajax;

use Drupal\Core\Ajax\CommandInterface;
//use Drupal\private_message\Ajax\PrivateMessageInsertMessagesCommand;

/**
 * Class to insert new messages into a private message thread.
 */
class PrivateMessageWindowsFillThreadMessagesCommand implements CommandInterface {

  protected $threadId;
  protected $lastMsgId;
  protected $userName;
  protected $userPicture;
  protected $messages;
  /**
   * @param string $messages
   *   The HTML for the messages to be inserted in the page.
   */
  public function __construct($messages, $threadId, $lastMsgId, $userName, $userPicture) {
    $this->threadId = $threadId;
    $this->lastMsgId = $lastMsgId;
    $this->userName = $userName;
    $this->userPicture = $userPicture;
    $this->messages = $messages;
  }

  /**
   * {@inheritdoc}
   */
  public function render() {
    return [
      'command' => 'PrivateMessageWindowsFillThread',
      'threadId' => $this->threadId,
      'lastMsgId' => $this->lastMsgId,
      'userName' => $this->userName,
      'userPicture' => $this->userPicture,
      'messages' => $this->messages,
    ];
  }

}
